Subject: Re: Numerical Python on cygwin
From: Jason Tishler <[email-masked]>
To: Turnbull Wallace Capt AFRL/VSBXR <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 4 Apr 2001 15:06:48 -0400

Wallace,

On Wed, Apr 04, 2001 at 12:45:30PM -0400, Turnbull Wallace Capt wrote:
> Has anyone successfully gotten Numerical Python (numpy) built under cygwin?
> I was able to get python (2.1b2 using gcc 2.95.3-2) built with a minor
> change usr/include/sys/signal.h and specifying '--without-threads' in the

BTW, I would suggest configuring as follows:

    $ configure --with-threads=no

Cygwin Python with threads was just "born" and hence a little shaky
yet.

> configure script but when I try to install numerical python, I get the
> following errors.  It looks like some sort of problem with DLLs but I'm not
> sure what to make of it.  I searched the cygwin list archive and found one
> old reference to numpy but it didn't help.
>
> [snip]
>
> gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin_nt-5.0-1.1.8-i686-2.1/_numpymodule.o build/temp.cygwin_nt-5.0-1.1.8-i686-2.1/arrayobject.o build/temp.cygwin_nt-5.0-1.1.8-i686-2.1/ufuncobject.o -L/usr/local/lib/python2.1/config -l
> python2.1 -o build/lib.cygwin_nt-5.0-1.1.8-i686-2.1/_numpy.dll
> Cannot export _bss_end__: symbol not defined
> Cannot export _bss_start__: symbol not defined
> Cannot export _data_end__: symbol not defined
> Cannot export _data_start__: symbol not defined
> collect2: ld returned 1 exit status
> error: command 'gcc' failed with exit status 1

The above is due to no symbols being exported from the DLL.  Defined the
initialization function using the DL_EXPORT macro.  For example, assuming
that the initialization function is called init_numpy, define it as follows:

    DL_EXPORT(void)
    init_numpy(void)
    {
        ...
    }

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple